## org.apache.axis.constants
Class Enum.Type

    java.lang.Object
      org.apache.axis.constants.Enum.Type

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  Scope.Type, Status.Type, Style.Type, Use.Type

Enclosing class:
  Enum

public abstract static class Enum.Type
extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`protected` `Enum.Type(java.lang.String name, Enum[] enums)`

Method Summary
`Enum` `getDefault()`
`Enum` `getEnum(int enumElt)` Returns name of enumerated value
`Enum` `getEnum(java.lang.String enumName)` Returns enumerated value of name
`Enum` `getEnum(java.lang.String enumName, Enum dephault)` Returns enumerated value of name For large sets of enumerated values, a HashMap could be used to retrieve.
`java.lang.String[]` `getEnumNames()` Returns array of names for enumerated values
`java.lang.String` `getName()`
`boolean` `isValid(java.lang.String enumName)`
`void` `setDefault(Enum dephault)`
`int` `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Enum.Type

    protected Enum.Type(java.lang.String name,
                        Enum[] enums)

Method Detail

### setDefault

    public void setDefault(Enum dephault)

### getDefault

    public Enum getDefault()

### getName

    public final java.lang.String getName()

### isValid

    public final boolean isValid(java.lang.String enumName)

### size

    public final int size()

### getEnumNames

    public final java.lang.String[] getEnumNames()

  Returns array of names for enumerated values

### getEnum

    public final Enum getEnum(int enumElt)

  Returns name of enumerated value

### getEnum

    public final Enum getEnum(java.lang.String enumName)

  Returns enumerated value of name

### getEnum

    public final Enum getEnum(java.lang.String enumName,
                              Enum dephault)

  Returns enumerated value of name For large sets of enumerated values, a HashMap could be used to retrieve. It's not clear if there is any benefit for small (3 to 4) sets, as used now.

Copyright © 2005 Apache Web Services Project. All Rights Reserved.